Subject: Re: next-20190201 build: 2 failures 19 warnings (next-20190201)

From: Brian Masney <[email-masked]>
Date: Sun, 3 Feb 2019 07:38:42 -0500

Hi Mark,

On Sat, Feb 02, 2019 at 03:39:54PM +0000, Mark Brown wrote:
> On Fri, Feb 01, 2019 at 09:35:59PM +0000, Build bot for Mark Brown wrote:
> 
> Friday's -next fails to build an arm64 allmodconfig due to (among other
> things):
> 
> > 	arm64-allmodconfig
> > ERROR: "irq_chip_set_wake_parent" [drivers/pinctrl/qcom/pinctrl-spmi-gpio.ko] undefined!
> 
> due to ca69e2d165eb3d060cc9 (qcom: spmi-gpio: add support for
> hierarchical IRQ chip) as the driver can be built as a module but the
> above symbol is not exported.  

Thanks for the report. I submitted two patches:

https://lore.kernel.org/lkml/[email-masked]/
https://lore.kernel.org/lkml/[email-masked]/

I just realized that I forgot to CC you to those patches. Sorry!

Brian